SDL_TLSData Struct Reference

`#include <SDL_thread_c.h>`

## Data Fields

unsigned int | limit
struct {
void * data
void(* destructor )(void *)
} | array [1]

## Detailed Description

Definition at line 70 of file SDL_thread_c.h.

## Field Documentation

## array

struct { ... } SDL_TLSData::array[1]

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

## data

void* SDL_TLSData::data

Definition at line 73 of file SDL_thread_c.h.

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

## destructor

void( * SDL_TLSData::destructor) (void *)

Definition at line 74 of file SDL_thread_c.h.

Referenced by SDL_TLSCleanup(), and SDL_TLSSet().

## limit

unsigned int SDL_TLSData::limit

Definition at line 71 of file SDL_thread_c.h.

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

The documentation for this struct was generated from the following file:

- src/thread/SDL_thread_c.h